Package org.kapott.cryptalgs

# Class ISO9796p1

java.lang.Object
java.security.SignatureSpi
org.kapott.cryptalgs.ISO9796p1

public class ISO9796p1 extends SignatureSpi

## Field Summary

### Fields inherited from class java.security.SignatureSpi

`appRandom`

## Constructor Summary

Constructors
Constructor
Description
`ISO9796p1()`

## Method Summary

Modifier and Type
Method
Description
`protected Object`
`engineGetParameter(String parameter)`
Deprecated.
`protected void`
`engineInitSign(PrivateKey privateKey)`
`protected void`
`engineInitVerify(PublicKey publicKey)`
`protected void`
`engineSetParameter(String param1, Object value)`
Deprecated.
`protected void`
`engineSetParameter(AlgorithmParameterSpec param1)`
`protected byte[]`
`engineSign()`
`protected int`
`engineSign(byte[] output, int offset, int len)`
`protected void`
`engineUpdate(byte b)`
`protected void`
`engineUpdate(byte[] b, int offset, int length)`
`protected boolean`
`engineVerify(byte[] sig)`
`protected Logger`
`getLogger()`
`static byte[]`
`prepareForSig(byte[] buffer, BigInteger bModulus)`

### Methods inherited from class java.security.SignatureSpi

`clone, engineGetParameters, engineInitSign, engineUpdate, engineVerify`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ISO9796p1

public ISO9796p1()

## Method Details

### getLogger

protected Logger getLogger()

### engineGetParameter

@Deprecated protected Object engineGetParameter(String parameter)
Deprecated.

Specified by:
  `engineGetParameter` in class `SignatureSpi`

### engineInitSign

protected void engineInitSign(PrivateKey privateKey)

Specified by:
  `engineInitSign` in class `SignatureSpi`

### engineInitVerify

protected void engineInitVerify(PublicKey publicKey)

Specified by:
  `engineInitVerify` in class `SignatureSpi`

### engineSetParameter

@Deprecated protected void engineSetParameter(String param1, Object value)
Deprecated.

Specified by:
  `engineSetParameter` in class `SignatureSpi`

### engineSetParameter

protected void engineSetParameter(AlgorithmParameterSpec param1) throws InvalidAlgorithmParameterException

Overrides:
  `engineSetParameter` in class `SignatureSpi`
Throws:
  `InvalidAlgorithmParameterException`

### engineSign

protected byte[] engineSign() throws SignatureException

Specified by:
  `engineSign` in class `SignatureSpi`
Throws:
  `SignatureException`

### prepareForSig

public static byte[] prepareForSig(byte[] buffer, BigInteger bModulus) throws SignatureException

Throws:
  `SignatureException`

### engineSign

protected int engineSign(byte[] output, int offset, int len) throws SignatureException

Overrides:
  `engineSign` in class `SignatureSpi`
Throws:
  `SignatureException`

### engineUpdate

protected void engineUpdate(byte b)

Specified by:
  `engineUpdate` in class `SignatureSpi`

### engineUpdate

protected void engineUpdate(byte[] b, int offset, int length)

Specified by:
  `engineUpdate` in class `SignatureSpi`

### engineVerify

protected boolean engineVerify(byte[] sig) throws SignatureException

Specified by:
  `engineVerify` in class `SignatureSpi`
Throws:
  `SignatureException`